.\"	$NetBSD: pcn.4,v 1.2 2001/09/11 00:08:29 wiz Exp $
.\"
.\" Copyright 2001 Wasabi Systems, Inc.
.\" All rights reserved.
.\"
.\" Written by Jason R. Thorpe for Wasabi Systems, Inc.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed for the NetBSD Project by
.\"	Wasabi Systems, Inc.
.\" 4. The name of Wasabi Systems, Inc. may not be used to endorse
.\"    or promote products derived from this software without specific prior
.\"    written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY WASABI SYSTEMS, INC. ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL WASABI SYSTEMS, INC
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 27, 2001
.Dt PCN 4
.Os
.Sh NAME
.Nm pcn
.Nd AMD PCnet-PCI Ethernet family driver
.Sh SYNOPSIS
.Cd "pcn* at pci? dev ? function ?"
.Pp
Configuration of PHYs may also be necessary.  See
.Xr mii 4 .
.Sh DESCRIPTION
The
.Nm
device driver supports Ethernet interfaces based on the AMD
PCnet-PCI family of Ethernet chips.  The chips supported by
the
.Nm
driver include:
.Bl -bullet
.It
Am79c970 PCnet-PCI Single-Chip Ethernet Controller for PCI
Local Bus
.It
Am79c970A PCnet-PCI II Single-Chip Full-Duplex Ethernet Controller
for PCI Local Bus
.It
Am79c971 PCnet-FAST Single-Chip Full-Duplex 10/100Mbps
Ethernet Controller for PCI Local Bus
.It
Am79c972 PCnet-FAST+ Enhanced 10/100Mbps PCI Ethernet Controller
with OnNow Support
.It
Am79c973/Am79c975 PCnet-FAST III Single-Chip 10/100Mbps PCI
Ethernet Controller with Integrated PHY
.El
.Pp
PCnet-PCI chips are found on some Hewlett-Packard PCI Ethernet
boards, and on the Allied Telesyn AT-2700TX PCI Ethernet board.
They are also found on some processor evaluation boards as an
example peripheral.
.Pp
The
.Nm
driver also supports the emulated PCnet-PCI interface provided
by VMware.
.\" .Sh DIAGNOSTICS
.\" XXX too be done.
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr mii 4 ,
.Xr netintro 4 ,
.Xr pci 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.6 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Jason R. Thorpe
.Aq thorpej@wasabisystems.com .
